質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.21%

cassandraをDebianパッケージからインストールする方法について

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 272

kenji267

score 43

MacOSを使用して、
cassandraの環境を構築するのに下記のサイトより行なっています。
http://cassandra.apache.org/download/

デバッグ環境を作りたいので、eclipseを使用を考え、macにダウンロードしインストールしようと考えています。

項目「Debianパッケージからのインストール」で、

echo "deb http://www.apache.org/dist/cassandra/debian 311x main" | sudo tee -a /etc/apt/sources.list.d/cassandra.sources.list


を実行すると(PassWordが聞かれを入力すると)、下記が表示されます。

tee: /etc/apt/sources.list.d/cassandra.sources.list: No such file or directory
deb http://www.apache.org/dist/cassandra/debian 311x main

「No such file or directory」と出ていますが、/etc/apt/sources.list.d/cassandra.sources.listを作成するのですか?
意味がわかりません。

下記の説明で何かすることがありますか?

<release series>ドットなし、および添付して、メジャーバージョン番号を指定しますx。
最新<release series>です311x。
以前のリリースのために、<release series>のいずれかにすることができ30x22xまたは21x。
CassandraのApacheリポジトリを/etc/apt/sources.list.d/cassandra.sources.list、たとえば最新の3.11バージョンに追加します。

こういうドキュメントの見方がいまいちわかりません。
ご教授頂けないでしょうか。宜しくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

0

下記サイト参照(上記サイトより少し詳細)
https://docs.datastax.com/ja/cassandra-jajp/3.0/cassandra/install/installDeb.html

上記サイトは前提として、Debianのパッケージ管理システムを使用
質問記載のエラーはそもそもDebianのパッケージ管理システムをインストールしていないために発生していると思われる。

DataStax社にてDebian使用以外のインストール方法あり。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.21%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる